
Database - Bug #8032

Deleted records are returned by a preselect query

11/12/2023 08:08 AM - Stanislav Lomany

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Alexandru Donica % Done: 100%

Category:  Estimated time: 0.00 hour

Target version:    

billable: No case_num:  

vendor_id: GCD version:  

Description

History

#1 - 11/12/2023 10:51 AM - Stanislav Lomany

Here's a testcase. A record was preselected by a query and then deleted in the same session. It is still returned by the preselect query. This issue has

been in trunk for a long time.

def temp-table tt field f1 as integer.

def var i as integer.

create tt. tt.f1 = 1.

create tt. tt.f1 = 2.

def query q for tt scrolling.

open query q preselect each tt.

def buffer xtt for tt.

find first xtt where xtt.f1 = 1. delete xtt.

get first q.

message tt.f1. // 2 in FWD, 1 in 4GL

#2 - 11/13/2023 04:06 AM - Alexandru Lungu

- Assignee set to Alexandru Donica

- Status changed from New to WIP

This is already handled in #5768. There are multiple attempts to fix this (the last one is 5768c). This will be fixed once 5768c is merged.

#3 - 01/05/2024 04:06 AM - Alexandru Lungu

5768a was merged to trunk. This task can be Closed.
#4 - 01/05/2024 09:14 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from WIP to Closed
